В этом файле отображаются только ключевые изменения между разными версиями Media Player Classic - BE.

Пояснение:
+ Новое
* Изменено
! Исправлено

1.1.3.0
============================
Всего, в этой версии было выполнено около 450 изменений, подробнее:

Добавлено (+):
+ MPEGSplitter - добавлена опция "быстрой перемотки";
+ Выбор форматов - кнопка для удаления выделения всех форматов;
+ AVISplitter - добавлена поддержка парсинга MPEG Audio дорожек, т.к. есть файлы где "нельзя доверять" заголовку;
+ MP4/MOV Splitter - добавлена поддержка AMR Wide band аудиодорожек, поддержка тэга Rotate;
+ Поддержка считывание из файлов QuickTime тэга Rotate (используя встроенный сплиттер) и разворот видео (если поддерживает видеорендерер);
+ Получения статуса DXVA для ЛЮБОГО совместимого рендера, а не только встроенного (работает на EVR, madVR). Поддерживается только DXVA 2.0;
+ Поддержка custom Pixel Shader в madVR;
+ Добавлены команды в контекстное меню на правой кнопки мыши для кнопок тулбара SUB / AUD (Load Ext Subtitle... / Laod Ext Audio...);
+ WVSource/MusePackSource - добавлена поддержка APE Tag, считываем cuesheet (инфа для чаптеров);
+ FLACSource - поддержка чтения информации о главах (чаптерах), а так же используя вшитый CUE файл в тэг самого Flac - CUESHEET;;
+ Поддержка субтитров в формате XSUB (DiVX subtitles);
+ Включена возможность использования иконок по типу (видео и аудио), а не по расширению;
+ MPEG2 DXVA декодер - определение 2:3 Pulldown и корректное выставление продолжительности фрейма;
+ Добавлены два хоткея: вывод в OSD "Системное время" и "Имя файла";
+ Добавлена начальная поддержка VSFilter для работы с субтитрами - полная поддержка управлением списком субтитров, вкл/выкл, переключение, загрузка внешних субтитров через меню и через Drag'n'Drop;
+ MPCVideoDec - поддержка управлением Deintelacing;
+ Поддержка внешних субтитров в формате UTF-8 без BOM заголовка;
+ MPEGSplitter - поддержка считывания палитры для VobSub субтитров при открытии через .IFO;
+ Поддержка DVD_Subpicture;
+ Возможность открытия внешних логотипов формата: *.bmp; *.jpg; *.jpeg; *.png; *.psd, *.gif; *.tif; *.tiff; *.tga, *.emf; *.ico; *.webp; *.webpll;
+ Добавлена панель(Flybar);
+ Добавлены кнопки для Flybar в D3D эксклюзивном режиме (закрытие файла и выход из программы);
+ Ссылка на "Download Toolbar Images";
+ Возможность открытия изображений: bmp, jpeg, gif, png, psd, tiff, emf, ico, webp и webpll;
+ Название ролика с youtube, теперь выводится в заголовке главного окна, seekbar и OSD;
+ utfcpp 2.3.2
 ... и многое другое.


Изменения (*):
* Улучшена работа парсера Vorbis;
* OggSplitter - добавлена проверка заголовка;
* Изменее способ определения UTF-8 в файле без BOM;
* MP4Splitter - улучшена поддержка Глав (Chapter);
* FLVSplitter - улучшена поддержка потокового видео;
* Улучшена перемотка на MPEG-TS - теперь она более точная и выполняется в 99.99% именно по PTS потока;
* Улучшена работа с внешними/системными фильтрами, теперь "Предпочесть" работает так же и для внешних Source/Splitter, а не только Transform фильтров. Так же исправлена выставление приоритетов для встроенных WavPack/MusePack/TTA/AMR Splitter(т.к. они не имеют собственного Source);
* Более жесткий фильтр для загрузки музыкальных логотипов;
* WVSource: косметика кода;
* VSFilter - XSUB, если размер субтитров больше чем размер видео, то пытаемся вписать в размер кадра;
* MpaDecFilter -> Mixer: изменил коэффициенты для апмикса стерео;
* MusePack/WavPack - поддержку APETAG, теперь получаем и отображаем в проигрывателе полную информацию о исполнителе, названии, годе выпуска, альбоме и т.д.;
* Небольшая косметика для статистики EVR/VMR9;
* Улучшен механизм обработки утечек памяти;
* Включена оптимизация даунмикса 8 каналов в стерео;
* DXVA декодер - доработана обработка EndOfStream сигнала от нижестоящего фильтра;
* Косметика настроек OSD;
* При очистке списка последних открытых файлов - очищаем "Recent" jump list в Windows 7 таскбаре;
* Файловые ассоциации - если пользователь нажал кнопку "Применить" и после этого ничего не менял и нажал на "Ок" - то перерегистрация типов не запускается еще раз, а так же в Win8 не показывается окно выбора ассоциированных расширений/типов
* Обновление языковых файлов MediaInfo;
* MpaDecFilter: обновлен CMixer, оптимизация;
* MPEG2 DXVA декодер - изменили механизм работы с 2:3 Pulldown фреймами, нельзя выставлять продолжительность фрейма постоянной, т.к. встречается смешанный контент (интерлейс кадры перемешаны с 2:3 Pulldown);
* XSUB субтитры - корректное позиционирование и масштаб при изменении размера окна;
* MpaDecFilter: использование сэмпл-форматов из ffmpeg для внутренней обработки;
* MpaDecFilter: оптимизация декодирования PS2PCM и PS2ADPCM;
* WebServer: оптимизация;
* Шейдеры сохраняются только тогда, когда это может быть необходимо;
* Показ сообщения в OSD при изменении задержек субтитров при использовании VSFilter;
* Более корректное отображение и поведение меню "Субтитры" при использовании VSFilter;
* Улучшена работа с субтитрами + VSFilter, а так же добавлена возможность управлением задержками(F1/F2) для VSFilter;
* Оптимизация настройки шага уровня громкости;
* Для механизма парсинга и обработки HDMV(PGS) субтитров, теперь не нужен механизм вывода как для анимации;
* Обработчик очереди субтитров - изменение приоритета потока не только в зависимости от настроек, но и от типа субтитров: для растровых субтитров ВСЕГДА низкий приоритет;
* Сообщение с ошибкой или предупреждением при создании видеорендерера показывается только один раз;
* FLACSource - изменил механизм извлечения тэгов, так же теперь из них корректно считываются UTF8;
* SaveAs - для локальных файлов берем только имя файла, без пути;
* Видеорендер, статистика - получение и показ типа фрейма(прогрессив/интерлейс) не зависимо от декодера;
* Корректное выставление курсора мыши для настроек фильтров, теперь курсор в виде руки (IDC_HAND) выставляется только для нужных элементов;
* Переделан механизм определения UTF-8;
* Улучшена отрисовка фона у VolumeCtrl;
* Проверку на правильность размеров toolbar и flybar;
* Добавлена возможность нормального отображения прозрачности для логотипов и внешних изображений;
* DXVA H.264 - улучшена проверка на поддерживаемое видео для DXVA декодирования;
* Увеличено ограничение размера кадра для Nvidia GTX 660Ti;
* Убрано переключение режима (вида) плеера по Esc;
* MPEGSplitter - при открытии .vob/.mpg файла ищем соответствующий ему по структуре DVD .ifo файл, и если такой есть - считываем палитру для отображения VobSub субтитров из него;
* Субтитры - улучшена работа TextPassThruFilter фильтра;
* Оптимизация работы FlyBar;
* Переработан механизм декодера H.264 DXVA, улучшена работа с H.264 Interlaced;
* Youtube parser, добавили в исключение stereo3d формат;
* Для MadVR убрали исключения для снятия скриншотов, для версии 0.84.0 и выше;
* В компактном режиме добавлен SeekBar;
* Сохранения скриншотов в JPG и TIFF, теперь выполняется через GDI+;
* MPEG2 DXVA Decoder - оптимизация;
* DVD, при отсутствии команды FirstPlay, пытаемся открыть DVD Menu Title;
* Убрано автоматическое вкл/выкл звука при изменение громкости;
* Оптимизация AsyncReader;
* Оптимизация открытия и сохранения изображений;
* Оптимизация открытия ссылок с youtu.be;
* Добавлена возможность отключать встроенную логику выбора аудио дорожек и субтитров;
* Обновлен корейский перевод, автор - kuh3h3;
* Обновлен украинский перевод, автор - arestarh1986;
* Обновлен немецкий перевод, автор - Markus Gaugg;
* libwebp 0.2.1 git-6bf20874;
* libpng 1.5.13 git-753fd3f;
* libopus 1.0.1 git-5367dac3;
* Virtualdub 1.10.3 Test 7;
* ffmpeg git-ceee4407;
* MediaInfo 0.7.61+ svn rev.5314;
* ZenLibs v0.4.28+ svn rev.411;
* Little-CMS git-e4624c8d;
* SoundTouch svn rev.160;
 ... и многое другое.


Исправления (!):
! HDMV(PGS) субтитры - истранен ряд проблем, приводящий к ошибкам в работе;
! Исправлен механизм обработки субтитров;
! Парсер DVB субтитров, не совсем корректно обрабатывалась информация при парсинге PAGE;
! AudioSwitcher: исключено переполнение (могло вызвать заикание и падение на некоторых WavPack);
! Немного подкорректирована работа с растровыми субтитрами, исправлены проблемы приводящие к ошибкам в работе;
! При открытии ссылки с Youtube, в OSD теперь корректно отображается название клипа;
! DirectVobSub(VSFilter) - исправлена работа с видео P010/P016;
! Команда "перезагрузить субтитры" была перепутана с диалогом стиля субтитров;
! DirectVobSub - падал при попытке воспроизвести PGS/DVB субтитры, когда разрешение субтитров больше чем разрешение видео-потока;
! DirectVobSub (auto-loading version) - не подключался автоматически в Win7;
! DXVA декодирование VC1-I;
! Отображение времени на полосе прокрутке, когда включена "Синхронизация субтитров";
! MpaDecFilter: исправлено падение на DTS файлах;
! AviSplitter: нормализация воспроизведения файлов с битыми фрагментами в заголовке;
! Парсер PGS субтитров;
! Возможность переключения дорожек с субтитрами через меню фильтра не должно зависеть от обработки субтитров в самом проигрывателе;
! Не правильно прорисовывалась кнопка Lock/Unlock на flybar;
! Playlist закрывался при открытии файла;
! Большая нагрузка на процессор в режиме DXVA при декодировании H.264;
! Seekbar и statusbar при загрузке изображений теперь не выводит таймер времени;
! Playlistbar исправлена отрисовка фона при переключении темы;
! Встроенный FLACSource не играл файлы, у которых в заголовке отсутствовала информация о минимальном и максимальном размере фрейма;
! Не работало отображение субтитров при использовании ffdshow video decoder & subtitle filter;
! FLACSource - проблема с открытием "битых" файлов;
! SaveAs - убираем "некорректные" символы - только для файлов с youtube;
! При отключенной встроенной логике выбора дорожек, для субтитров не работала опция "Всегда использовать внешние субтитры как основные";
! Открытие некоторых ANSI/ASCII файлов;
! MPEGSplitter - при чтении Packetized Elementary Stream (PES) header иногда считывались не все данные;
! При переключении языка - не менялся язык подсказок кнопок на Win 7 превью в таскбаре;
! Не регистрировались в системе некоторые внешние фильтры;
! Отображение субтитров с YUY2 выводом;
! MPEGSplitter - некоторые MPEG-TS не открывались;
! Исправлена проблема с отображением png;
! MPCVideoDec, внешний фильтр - некорректно сохранялись/считывались выбранные кодеки;
! Внешние фильтры, отсутствовал текст в заголовке настроек(Settings);
! VP3, THEORA, MPEG4 - убраны артефакты и рассыпания картинки после перемотки;
! H264 DXVA декодер, для некоторых специфичных Interlaced потоков некорректно передавались данные slice control в декодер;
! FLV сплиттер - некорректно обрабатывал PCM аудиодорожки;
! VolumeCtrl при некоторых моментах приводило к неправильной работе;
! Исправление отрисовки ползунка громкости;
! Утечка памяти в MPADecFilter при использовании микшера;
! WebServer, многочисленные исправления и оптимизация;
! Некорректно формировался заголовок главного окна;
! Инсталлятор, исправлена ошибка при удалении программы;
! Зависания при определенных ситуациях при включенном Превью;
 ... и многое другое.


1.0.3.1
============================
Добавлено (+):
+ Добавлена опция в настройках "Шаг изменения скорости воспроизведения / Speed Step";
+ Индикатор DXVA(GPU) на тулбаре (Управление);
+ Поддержка JPEG 2000 в MP4/MOV сплиттере и декодере, для декодирования используется ffmpeg + OpenJPEG library (http://www.openjpeg.org);
+ Полноценная поддержка Opus, сплиттер + декодер, для декодирования используется ffmpeg + libopus;

Изменения (*):
* FLVSplitter, потоковое видео (youtube или любой другой http источник) - ускорение открытия, определение продолжительности файла во время воспроизведения;
* Поддержка коротких ссылок - youtu.be;
* Переработан механизм парсинга/обработки PGS субтитров - теперь нормально отображаются одновременно несколько субтитров;
* Отрисовка PGS/DVB субтитров - оптимизация;
* Оптимизация парсера YouTube;
* Обновление украинской локализации;
* Блокировка DVR-MS Caption;
* ShellExt - улучшение работы модуля, оптимизация;
* MediaInfo 0.7.60+ svn rev.5104;
* libpng 1.5.13 git-11c1e0d;
* ffmpeg git-f75c5f0;
* openjpeg 1.5;
* libopus (версия git 2c3b5ee от 20120921);

Исправления (!):
! Исправлена проблема с некорректным выделением и подсветкой объектов DVD (происходило смещение координат);
! Исправлена проблема с запоминанием состояние окна по выходу из программы (SIZE_MAXIMIZED/SIZE_MINIMIZED);
! Исправлена проблема при запуске плеера в режиме "Один процесс для каждого файла, при многократном клике открывалось несколько окон, ticket #29;
! MpcAudioRenderer - WASAPI Shared mode, не используем в случае несовпадения частоты дискретизации входного потока и выходного;


1.0.3.0
============================
Добавлено (+):
+ Установка/удаление файловых ассоциаций под Windows 8 из самого проигрывателя;
+ добавлена поддержка AVC Level 5.1 для Intel HD Graphics 2500;
+ Сохранение видео с youtube.com;
+ Выставление иконок при ассоциации из командной строки;
+ При выставлении/удалении ассоциации из командной строки без прав администратора - запрос таковых и только тогда корректная ассоциация (Windows Vista и выше.);

Изменения (*):
* Обновлен немецкий перевод, автор - Markus Gaugg;
* Отключен SmartSeek (превью) для потокового видео;
* Улучшено/оптимизированно открытие роликов с youtube.com;
* Убрано запоминание позиции для потокового контента;
* ffmpeg git-e80cbdb;

Исправления (!):
! Инсталлятор - корректно закрепляет ярлык на панели задач в 64 битной системе при условии установки в папку {Program Files};
! Невозможно было перемещать окно левой кнопкой мышкой за область вывода, когда на нее ничего не было назначено;
! Исправлена работа ShoutcastSource;
! DVB субтитры - парсинг и обработка Clut (палитра), корректно показываются субтитры, состоящие из нескольких регионов (многострочные);
! В WebServer не отображался логотип;
! Устранено падение плеера при загрузке, если используется хоткей;
! Устранено падение при открытии роликов с youtube.com
! Pan&Scan - Scale to 16:9 TV;


1.0.1.0 (Beta)
============================
Добавлено (+):
+ Декодер CSCD (CamStudio Screen Codec);
+ Декодер QTRLe (Quicktime Animation (RLE) Video);
+ Декодер DV формата:
    - DV - SD-DVCR (525-60 or 625-50);
    - DV - SDL-DVCR (525-60 or 625-50);
    - DVHD - HD-DVCR (1125-60 or 1250-50);
    - DV25 - DVCPRO 25 (525-60 or 625-50);
    - DV50 - DVCPRO 50 (525-60 or 625-50);
    - DVH1 - DVCPRO 100 (1080/60i, 1080/50i, or 720/60P);
+ Декодер QDM2;
+ Декодер UtVideo (RGB, RGBA, 4:2:0, 4:2:2);
+ Декодер WavPack 4;
+ Декодер Canopus Lossless video;
+ Декодер Dirac;
+ Декодер Lagarith lossless video;
+ Декодер APE (Monkey's Audio);
+ Декодер Apple ProRes;
+ Декодер DSP Group TrueSpeech;
+ Декодеры "Windows Media Audio 1" и "Windows Media Audio 2";
+ Декодер "Windows Media Audio 9 Professional";
+ Декодер "Windows Media Audio Lossless";
+ Декодер "Windows Media Audio Voice"
+ Декодер "Flash Screen Video 1";
+ Декодер Cinepak;
+ Декодер FPS1 (Fraps);
+ Декодер Bink Video (BIKI, BIKB);
+ Декодер Bink Audio (RDFT, DCT);
+ Декодер PNG;
+ Декодер TTA;
+ Декодер TechSmith Screen Codec 2;
+ Декодер MS Screen 1 (Windows Media Video V7 Screen);
+ Декодер Microsoft Screen 3 (Microsoft ATC Screen);
+ Декодер Microsoft Screen 4 (MS Expression Encoder Screen);
+ Декодер RealAudio Lossless;
+ Декодер Indeo Audio (IAC);
+ Декодер MusePack SV7/SV8;
+ Расширение оболочки MPCBEShellExt;
+ Поддержка MPEG1 в Matroska, автор идеи и начального патча Vortex (автор Light Alloy);
+ В EVR статистике со встроенным видео декодером теперь отображается реальный тип кадра - интерлейс или прогрессив;
+ Добавлена возможность настройки "Темная темы";
+ MPCVideoDec - настройки "Output formats" включаются/выключаются без перезапуска плеера;
+ Настройка яркости и цветовой гаммы RGB для "Темная темы";
+ Регулировка цветовой гаммы RGB для "Темная темы" без перезапуска плеера;
+ Использование toolbar.png по умолчанию;
+ Добавлены имена для фильтров - Reader;
+ MP4Splitter - поддержка Apple Quicktime HDV 720p/HDV 1080i (MPEG2);
+ Опция "Выход из полноэкранного режима при перехвате фокуса";
+ Отображение версии libavcodec в окне "О программе";
+ WavPack сплиттер;
+ Поддержка DIRAC в MPEG/OGG;
+ Вернули обратно RoQSplitter вырезанный в MPC-HC rev.2760;
+ Кнопки для настроек внутренних фильтров, закладка "Встроенные фильтры";
+ Поддержка AAC Latm в MPEGSplitter;
+ FGManager: добавлен subtype для PS2 ADPCM;
+ Поддержка P010/P016 вывода для ISR и VSFilter'а;
+ MusePackSplitter - спасибо автору Light Alloy за оригинальный сплиттер;
+ Поддержка Apple ProRes видео во встроенном MP4 сплиттере;
+ Поддержка AMV IMA ADPCM;
+ Общее меню для Аудио дорожек;
+ Добавлен пункт "Опции" в "Общее меню" выбора аудиодорожек;
+ MatroskaSplitter - добавлена поддержка DVB субтитров;
+ AudioParser: добавлена поддержка для MLP;
+ DTSAC3Source: added support for MLP;
+ MPADecFilter: added support for MLP;
+ Добавлена поддержка FLAC Tag (Vorbis comment);
+ К SeekBar добавил указатель текущей позиции;
+ MpegSplitter - поддержка MLP в MPEG-PS, поддержка проигрывания файлов формата DVD-Audio (*.aob);
+ DTSSplitter для проигрывания DTS AudioCD с помощью CDDAReader;
+ поддержка Mixed AudioCD;
+ Загрузка logo.png по аналогии с toolbar.png;
+ Добавлена поддержка .sup субтитров (PGS/HDMV извлеченные из контейнера в отдельный файл);
+ Ассоциаций с DVD-Audio (*.aob);
+ AMR Source;
+ libwebp;
+ Общее меню для субтитров;
+ TTA Splitter;
+ Добавлен альтернативный режим автосмены режима экрана;
+ При скрытии StatusBar время (таймер) теперь появляется на SeekBar;
+ Infobar/Statsbar адаптирован под "темную тему";
+ WebP-lossless;
+ Вкладка MediaInfo - перевод;
+ Включение/выключение Logitech LCD в Options->Tweaks;
+ Превью на SeekBar, включая DVD режим;
+ DTSAC3Source: added support for DTS-WAVE 48kHz 16LE;
+ Вывод чаптеров в виде маркеров на таймлайне;
+ Добавлена возможность задавать пользовательские иконки для разных форматов (расширений) файлов - для этого надо в подпапку Icons положить иконку в виде <ext>.ico, например avi.ico/mkv.ico и т.д.
+ Добавлена возможность показывать только форсированные (forced) субтитры, применимо к форматам PGS (HDMV) и VOBSUB;
+ Поддержка показа зашитого изображение из MP3/M4A/FLAC, только в связке с внутренними сплиттерами. Так же, при проигрывании аудио файлов - будет показываться изображение из текущей папки;

Исправления (!):
! Small fix H.264 DXVA decoder to improve detect broken interlaced frame;
! MPEG2 DXVA декодер, теперь играет специфические MPEG2 потоки, с флагом SecondField;
! При открытии, закрытии файла или ошибке не отображалось сообщение в статусной строке при включенной "Темной" теме;
! Исправлена проблема при запуске плеера - в полосе прокрутки могло остаться имя предыдущего файла;
! Исправлена работа VolumeCtrl + его цветовая палитра;
! Исправил работа кнопки Play и Pause;
! Исправлена утечка памяти при интенсивном использовании SeekBar;
! MPEGSplitter - увеличено кол-во пакетов в очереди для аудио пакетов и субтитров;
! MPEGSplitter - исправлен AAC парсер;
! MatroskaSplitter - некорректное определение AVC1/H264 потока (определялся как MP4V) при отсутствии SPS/PPS (отсутствие данных CodecPrivate) данных в пакете;
! DVB субтитры отображались с некорректными цветами (считывался некорректный индекс), а так же были проблемы с прозрачностью, автор патча s4e (форум forum.doom9.org);
! MPADecFilter - при окончании воспроизведения необходимо декодировать и передать дальше оставшиеся данные от парсера;
! Исправлен OGG/OGV сплиттер, теперь нормально играет Theora с многопоточностью;
! Исправлена перемотка на встроенном MPEG-1 декодере;
! Исправлена проблема с невозможностью переключения с внешней дорожки на внутреннюю при использовании MPEGSplitter/AV и похожих сплиттеров, выдающих SinglePinOut;
! Скорректирована проверка MPEG2 на DXVA совместимость;
! AVISplitter, на некоторых файлах с MJPG кодеком наблюдались пропуски кадров;
! Исправлено зависание на H.264 (I) на DXVA декодере при активной перемотке;
! Не работал поиск субтитров на "www.opensubtitles.org";
! Исправлено проигрывание FLV, когда в файле заданы некорректные временные метки у пакетов с самого начала;
! MP4Splitter: fixing empty QtV1 values for some (broken?) movs;
! Иногда MPASplitter пытался проиграть AMV файлы как MP3, когда MP3 дорожка присутствовала внутри файла;
! MatroskaSplitter - подкорректировано выводимое название дорожек, когда язык не был задан;
! Исправлена проблема с работой аудио меню при открытии DVD;
! Исправлена проблема: если имя файла содержало '&', то такой файл (если он подключался как дополнительный) не определялся как внешняя дорожка, и соответственно в меню аудиодорожек не было разделителя;
! Исправлен переход в горячем режиме с простой темы на BE, не прорисовывался StatusBar;
! На вкладке Tweaks для BE исправили градацию RGB с 0-256 на 0-255;
! MpaDecFilter: fixed cracking sound for PCM 32-bit output;
! Исправлена работа VolumeCtrl и немного улучшен его внешний вид;
! HDMV/DVB субтитры пропадали после изменения размеров окна;
! При переходе на HDMV/DVB субтитры с любых других (текстовых) - субтитры не отображались;
! При переходе с HDMV/DVB субтитров на любые другие (текстовые) - субтитры отображались некорректно (неверные позиция и размер);
! Неправильно отображалась кнопка воспроизведения/паузы после просмотра всего файла, при нажатии на повторное воспроизведение, кнопка не меняла состояние;
! AudioParser: fixed and updated support for MLP;
! StatusBar на BE теме больше не моргает;
! При только что загруженном плеере, наводя на активный элемент ToolBar кнопку воспроизведение, отображался курсор не в виде "руки";
! Fixed work of CMainFrame::SetColorControl with ProcAmp_All flag;
! VolumeCtrl неправильно отображался цвет заливки, при некоторых значениях RGB;
! Неверное позиционирование, размеры и соотношение сторон при выводе растровых субтитров (VOBSUB/PGS/DVB);
! Не всегда скрывались разделители;
! Recent Files: "Clear List" did not remove all files from the list;
! Теперь встроенный видеодекодер поддерживает проигрывание видео с изменяющимся Pixel Format;
! ToolBar при определенных значениях RGB становился полностью черным;
! PGS/DVB субтитры не отображались, когда не использовалась очередь (буфер) для субтитров (Опция в настройках "Число фрагментов в буфере" выставлена в 0;
! MP4Splitter - подкорректировано считывание данных о Частоте дискретизации (sample rate) для некоторых старых MOV/3GP файлов;
! MP4Splitter - небольшое уточнение по количеству каналов для AAC;
! При отключенной громкости ToolTip показывал не 0;
! Небольшое исправление MPEGSplitter и MpaDecFilter для более корректного воспроизведения пакетов без TimeStamp;
! MPEGSplitter, теперь после перемотки стало еще меньше артефактов (квадратов и пикселизации) на H.264 и особенно VC-1;
! Fixed crash on some ogg's;
! OggSplitter: fixed crash on broken ogg's;
! MPEGSplitter - исправлена работа с AC3 дорожками;
! Исправлено декодирование VC-1 I в режиме DXVA, в PictureStore должен передаваться параметр первой части кадра, иногда это приводило к остановке картинки и лечилось перемоткой;
! Исправлено, появление/скрытие таймера на seekbar (fix r587);
! MPCVideoDec: fixed playback problem for some wmv3 (most are older files);
! DXVA VC-1 декодер - убран пропуск кадров, это исправит ситуацию с зеленым экраном при начале проигрывания некоторых файлов;
! Подкорректирована работа WMV3 DXVA декодера с WM ASF Reader (скорректирован TimeStamp) - на некоторых файлах с включенным VSync наблюдали дикие тормоза и повторы кадров;
! Фон VolumeCtrl не прорисовывался, если плеер был запущен без фокуса, и поверх находилось другое окно;
! MPCVideoDec: fixes color problem for some wmv files (profile <= MP@ML);
! На многомониторной конфигурации при полноэкранном проигрывании если увести курсор мыши на другой экран - то элементы управления (SeekBar, StatusBar и т.д.) не скрывались;
! DXVA декодер требует, чтобы значение высоты, поделенное на 16, было четным числом;
! Растровые субтитры иногда не отображались, или отображались некорректно, если опция "Число фрагментов в буфере" выставлена в 0 (не использовалась очередь для хранения считанных субтитров;
! После 641 ревизии в полноэкранном режиме не отображались подсказки на SeekBar;
! FLVSplitter - поддержка AAC дорожек без extradata;
! MPEGSplitter - на китайском Windows не работали субтитры;
! Fixed "AMR" in GetAudioCodecName function;
! Если включен madVR, а пользователь пытается воспроизвести DVD - тихо переключаемся на EVR (если Виста и выше) или на VMR-7 WL (если ХР);
! MPEG2 DXVA декодер - вычисляем продолжительность фрейма для потока, у которого частично отсутствует TimeStamp у пакетов. Это исправляет дерганое воспроизведение некоторых файлов с MPEG2;
! Показ окна Превью зависел от настройки показа времени над/под таймлайном;
! Исправлен вывод окна превью на мультимониторных конфигурациях;
! Исправлена ошибка, приводящая к высокой нагрузке при показе превью на одном месте;
! IPinHook - исправлен перехват DirectShow функции NewSegment() который нужен для определения времени вывода субтитров;
! Перед закрытием графа некоторые фильтры, как например Microsoft StreamBufferSource, требуют выполнение IMediaControl::Stop(), иначе получаем ситуацию, когда проигрыватель думает что закрыл файл, а он продолжал играть;
! Не получали строку с полным путем к файлу по сети (для MediaInfo), из-за чего не срабатывала автопереключалка частот;
! Под Windows XP галка "Использовать возможности панели задач Windows 7" теперь недоступна;
! Исправлена проблема с некорректным отображением меню субтитров, когда был выбран рендер не совместимый с внутренним механизмом отображения субтитров;
! Исправлена проблема, когда время на таймлайне не отображалось, если был отключен показ имени файла;
! Теперь строка имя файла на сикбаре не зависит от опций Player->Title Bar. Выводим короткое имя файла;
! Изменили передачу сообщений (Message) из полноэкранного D3D окна в основное, при передаче, например нажатия средней кнопки мыши, проигрыватель благополучно падал;
! Иконки, исправлено соответствие с типом файла;
 ... и многое другое.

Изменения (*):
* В MPCVideoDec убраны раздельные параметры для RGB32/YUY2;
* Убрали опцию "Use the WM ASF Reader for Windows Media files";
* MPCVideoDec - перевод значения Auto для кол-ва потоков;
* Убран двойной бордер у вкладки MediaInfo;
* Исправлено превью в панели задач Windows 7 при режимах "Минимальный" и "Компактный";
* Переработано окно опций "Встроенные фильтры", сделано разделение на основе Tab;
* Небольшая корректировка для H.264 DXVA параметров (флаг IntraPicFlag);
* Сброс статистики рендера перед первоначальном показом, автор патча - Vortex (автор Light Alloy);
* Сделан для VolumeCtrl плавный переход градиентом;
* В свойствах MPCVideoDec часть новых опций (Resize, Chroma, Colorspace, Input & Output levels) доступны только для соответствующего режима вывода во время воспроизведения;
* ShellExt - теперь при присутствии в реестре записи, о пути к запускаемому файлу, окно диалога на x64 версии при установке в системе не выводиться;
* Теперь для файла отображается именно ассоциируемый значок, тот который мы видим в проводнике;
* Увеличено кол-во пакетов в очереди для RealSplitter;
* Обновлен скрипт инсталлятора mpc-be_setup.iss, добавлена ассоциация с видеофайлами, аудиофайлами и плейлистами;
* Изменены цвета по умолчанию на вкладке Tweaks;
* Теперь SeekBar имеет плавный градиент и более правильно отображается при изменениях RGB, яркости;
* Теперь кнопки Play и Pause объединены в одну;
* Удален ReportWnd из AviSplitter;
* На закладке "Полный Экран", добавлены новой опции;
* Удалена поддержка для MEDIASUBTYPE_PCM_IN24_le, MEDIASUBTYPE_PCM_IN32_le, MEDIASUBTYPE_PCM_FL32_le and MEDIASUBTYPE_PCM_FL64_le;
* MpaDecFilter: декодировать только 64-bit float PCM, т.к. для 32-bit float PCM декодер не требуется;
* Добавлена возможность изменение цвета кнопок ToolBar;
* Использование безопасной версии *fopen в CPngImage;
* DXVA H.264/AVC декодер - временно отключен код по определению "плохих" Interlaced кадров;
* Градиент для ToolBar применяется только для встроенного toolbar.png;
* MPEGSplitter - заполнение extradata для AAC Latm;
* Теперь MPEGSplitter не нуждается в переключалке совместимости VC1 потока для Cyberlink и ArcSoft, все делается автоматом;
* Убран двойной разделитель у ToolBar;
* Намного улучшена скорость перемотки OGG+Theora;
* Переход VolumeCtrl с BE на обычную и наоборот теперь проходит нормально;
* Полностью скрыты разделители ToolBar во всех темах;
* Теперь переход с простой темы на BE осуществляется в горячем режиме, без перезапуска плеера;
* Оптимизация в коде при построении меню аудиодорожек;
* Переключение аудио дорог теперь работает со всем общим списком дорог, автор патча judelaw;
* Убрано выделение с кнопки после нажатия;
* Улучшена поддержка ID Tag в MP3 файлах, добавлена поддержка ID Tag старого(первого релиза) ID3v2.2;
* В настройках, на закладке "Дополнительно" переименованы "цвет кнопок" и "цвет линий", в "настройка цвета индикатора громкости" + "заливка" + "фон";
* Добавлен в скрипт инсталлятора файл "Authors mpc-hc team.txt";
* Уменьшена толщина индикатора текущей позиции SeekBar;
* Оптимизация сохранения текстовых субтитров, патч от janwillem32;
* Небольшая оптимизация в MPEGSplitter - для DVD LPCM обрезка 3 байт заголовка происходит перед DeliverPacket, а не в парсере;
* убраны ограничения для х64 конфигурации для QuickTime, RealMedia и mp4 аудио;
* MpegSplitter возвращает данные о языке для дорожки всегда, когда данные присутствуют в MPEG-TS;
* В меню навигация изменен порядок полей: 1. Video; 2. Audio; 3. Subtitle;
* DTSAC3Source: increased search depth for dts header in .wav+.cue;
* Загрузка .SUP субтитров в отдельном потоке;
* Оптимизация загрузки .sup субтитров;
* Вернули нумерацию Audio устройств на странице "Вывод";
* Небольшое уточнение в TrueHD парсере (размер пакета не может быть нулевым);
* при проигрывании файла не совместимого с DXVA, а также при не поддерживающем железе - более корректная проверка и включение многопоточности в случае поддержки со стороны декодера;
* MPEGSplitter - более удобочитаемые названия типов субтитров - PGS/DVB;
* AudioParser: added GetVorbisChannelMask;
* MpaDecFilter: changed working with audio channels;
* MpaDecFilter: use ffmpeg instead of libflac for FLAC decoding;
* Улучшена проверка в MPCVideoDec формата файлов AVI;
* Улучшено определение совместимого железа и драйвера ATI для DXVA (только для Windows Vista и Win7);
* MP4Splitter - для видео дорожек заполняет VIDEOINFOHEADER->AvgTimePerFrame - данные о FPS;
* MPCVideoDec - унифицирована проверка на поддержку кодеком многопоточности;
* Теперь скриншоты BMP создаются не в 32 бита, а 24 бита, то есть все: bmp, jpeg, png, webp - 24 бита;
* Немного подкорректировано сохранение миниатюр, т.к. к примеру, со встроенным DXVA MPEG2 декодером иногда получали некорректные кадры;
* Добавлен новый базовый тулбар, 24p.;
* Переделана функция автосмены режима экрана. Привязка к DeviceID;
* MPEG-TS/PS - теперь работу по обработке AC3 пакетов берет на себя MPEGSplitter;
* DXVA2 - wrong interface is requested from the video renderer, патч от janwillem32;
* EVR - переделана функция определения используемого видеоадаптера;
* AutoZoom теперь по умолчанию выключен;
* Полностью сделан переход тем в горячем режиме, во всех направлениях;
* Немного улучшена работа H.264 DXVA декодера на Interlaced контенте;
* Теперь надписи и линии на панелях тоже участвуют в регулировке RGB;
* Теперь опция FastSeek (on keyFrame) включена по умолчанию;
* MP4Splitter: better support for files with multiple video fourcc;
* MPEGSplitter - увеличен размер поиска дорожек в файле до 20 мегабайт;
* MPEGSplitter - дорожка "No subtitle" теперь добавляется в конец списка;
* MPEG2 DXVA декодер - немного оптимизирован код;
* Отключили DXVA для H.264 на Intel GMA500 на Windows XP;
* MPEGSplitter обрабатывает пакеты AC3 потока только для MPEG-TS, т.к. для MPEG-PS это и не нужно, да и вызывает иногда проблемы в виде сбоя плавности проигрывания;
* DSUtil: updated GetAudioCodecName? function;
* Installer: update for Inno Setup 5.5.1;
* Добавили инфо о SAMR кодеке в MediaTypeEx;
* MP4Splitter: skip more extra characters from beginning of track name;
* Обновлен AudioParser;
* Обновил DTSAC3Source;
* Use friendly name for StreamBufferSource (system) in the filter list;
* Пропускаем пустые пакеты с нулевой длиной в декодерах;
* FLVSplitter - добавлена поддержка определения FPS для видео потока;
* MPCVideoDec теперь более корректно и правильно получает списки кодеков из программы;
* Теперь, при громкости 0, ставится соответствующие изображение;
* Mute только на текущую позицию;
* Перекомпоновка закладок "Проигрыватель/Player"  и "Дополнительно/Tweaks";
* В настройках, добавлена опцию включения/отключения для превью;
* Режим с превью и проигрывание музыки - теперь нормально показывается время при наведении на таймлайн;
* Скорректирован VolumeCtrl;
* Интегрированы файлы локализации MediaInfo в файлы ресурсов;
* Превью работает на Windows XP, для Windows XP используем VMR9 рендер, для Windows Vista и выше - EVR;
* Подкорректирован выходной тип E-AC3 в MatroskaSplitter;
* Теперь возможно задавать шаг изменения громкости, от 1 до 10;
* Новая закладка "Интерфейс", реорганизация вкладки "Дополнительно";
* MPEGSplitter - немного переделал определение и добавление субтитров, теперь они всегда идут по порядку ID;
* Вынесены все графические ресурсы из языковых .dll - как итог намного уменьшился размер;
* Теперь можно перемещать окно плеера ЛКМ с назначенной командой на ЛКМ;
* Сделана загрузка ресурса (кнопок) для Win7 TaskBar с помощью нашего класса MPCPngImage;
* Диалог сохранения субтитров - переделан вид под стиль Windows Vista/7;
* Диалог сохранения файла - переделан вид под стиль Windows Vista/7;
* MPCVideoDec - когда сплиттер выдает не корректные данные по FPS, пытаемся подсчитывать их из информации ffmpeg (frame timestamps) по самому видео-потоку, применимо на H.264 и VC-1;
* Окно превью теперь рисуется под стиль "темной темы";
* MKVSplitter - доработал определение fps, когда значение, сохраненное в самом контейнере, было не корректно (считаю что если fps > 60, то это требует дополнительной проверки);
* Переделка окна Превью, теперь и при отключено темной теме используется своя прорисовка, так же исправлены проблемы с прорисовкой при Упрощенной и Классической теме в Windows Vista/7;
* Оптимизация кода PreView;
* Удалили a52dec и libdca. Теперь для декодирования AC3 и DTS используется ffmpeg;
* Добавлены проектные файлы для построения плеера в VS2012;
* zlib до версии 1.2.7;
* libpng 1.5.13 git-6e3b0c2;
* Little-CMS git-728139a;
* MediaInfoLib v0.7.60;
* ZenLib v0.4.28;
* SoundTouch svn rev.152;
* Logitech SDK v3.01;
* libwebp 0.2.0;
* ffmpeg git-507c041;
* Virtualdub 1.10.3;
 ... и многое другое.

Частично использованы фрагменты исходного кода из MPC-HC из следующих ревизий:
4442, 4454, 4453, 4456, 4458, 4459, 4460-4462, 4463-4465, 4486, 4488, 4489, 4495, 4496, 4504, 4506, 4510, 4516, 4520, 4526, 4529, 4538, 4539, 4541, 4544, 4545, 4552, 4553, 4555, 4556, 4559, 4560-4568, 4575, 4584, 4585, 4587, 4614, 4616-4618, 4628, 4632-4634, 4643, 4645, 4646-4650, 4652-4654, 4667-4675, 4677-4686, 4688, 4690-4695, 4697, 4698, 4699, 4701, 4712, 4718-4720, 4750, 4766, 4767, 4774, 4779, 4782, 4785, 4787, 4793, 4797, 4801-4803, 4809, 4810, 4811, 4815, 4821, 4826, 4837, 4838, 4916, 4921, 4922, 4936, 4946, 4948, 4949, 4959, 4963, 4966, 4971, 4982, 4983, 4988, 4996, 4998, 5000, 5007, 5021, 5025, 5028-5039, 5050, 5055, 5059, 5061, 5080-5083, 5086, 5087-5090, 5255, 5256, 5266, 5315, 5316, 5333, 5366, 5367, 5392, 5393, 5399, 5402, 5447, 5450, 5452, 5463-5466, 5472-5474, 5493, 5566, 5568-5570, 5576.
